Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 472054 - media-libs/mesa: should use REQUIRED_USE for python
Summary: media-libs/mesa: should use REQUIRED_USE for python
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 500368
  Show dependency tree
 
Reported: 2013-06-02 01:14 UTC by Jonathan Callen (RETIRED)
Modified: 2014-02-24 19:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Callen (RETIRED) gentoo-dev 2013-06-02 01:14:30 UTC
Because media-libs/mesa dies in pkg_setup when PYTHON_TARGETS and PYTHON_SINGLE_TARGET are not set appropriately, the ebuild should set REQUIRED_USE appropriately.  The python-single-r1 eclass provides a variable with the appropriate expression, so the only change to the ebuild required is to add ${PYTHON_REQUIRED_USE} to REQUIRED_USE.

(The reason the eclass doesn't do this itself is so that the ebuild can make that requirement itself conditional on another USE flag, such as "python? ( ${PYTHON_REQUIRED_USE}").
Comment 1 Nikoli 2013-12-31 10:47:37 UTC
May be you can provide patch?
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-24 19:43:10 UTC
Fixed in 9.2.5-r1 and 10.0.3